Bug 437032 - Incomplete documentation from boost package
Incomplete documentation from boost package
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-11 15:24 EDT by Todd Denniston
Modified: 2013-08-09 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-27 08:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Denniston 2008-03-11 15:24:52 EDT
Description of problem:
The documentation included in the boost-doc rpm is incomplete.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. try to find crc.html in the doc.rpm
2. rpm -q -p boost-doc-1.34.1-12.fc9.i386.rpm --list |grep -i crc
Actual results:
No output.

Expected results:

Alternate reproduction:
1. lynx /usr/share/doc/boost-*/who_s_using_boost_/shrink.html
2. `/crc`
3. follow link
Actual results:
"Alert!: Unable to access document."
Expected results:
loads href="../../../libs/crc/index.html"
"CRC Library
   The header crc.hpp provides two implementations of..."

Additional info:
The package has documentation all over it's source tree. 

After doing an rpmbuild -bp of the package, you basicly need to execute the
following command to find all the documentation that SHOULD be included in the
doc rpm: (executed in %_topdir )
 find BUILD/boost_1_34_1/ -name "*.html"
Comment 1 Petr Machata 2008-03-27 08:31:03 EDT
Fixed in rawhide.  Formerly only "doc" documentation was installed, which is
part of the boost book.  Now we install "libs" in addition.  I verified that crc
documentation in particular is available.
Comment 2 Laurent Rineau 2008-03-27 09:51:00 EDT
Can you provide an update for previous releases of Fedora (at least F-8)?

Note You need to log in before you can comment on or make changes to this bug.